Search documentation of Localize

# Localize.Rfc5646.Parser (Localize v0.39.0)

Copy Markdown View Source

Implements parsing for RFC5646 language tags with BCP47 extensions.

The primary interface to this module is the function `Localize.LanguageTag.parse/1`.

## Summary

### Functions

error_on_remaining(arg1, context, line, offset)
language_tag(binary, opts \\ [])

Parses the given `binary` as language_tag.

parse(rule \\ :language_tag, input)

## Functions

# error_on_remaining(arg1, context, line, offset)

# language_tag(binary, opts \\ [])

    @spec language_tag(binary(), keyword()) ::
      {:ok, [term()], rest, context, line, byte_offset}
      | {:error, reason, rest, context, line, byte_offset}
    when line: {pos_integer(), byte_offset},
         byte_offset: non_neg_integer(),
         rest: binary(),
         reason: String.t(),
         context: map()

Parses the given `binary` as language_tag.

Returns `{:ok, [token], rest, context, position, byte_offset}` or `{:error, reason, rest, context, line, byte_offset}` where `position` describes the location of the language_tag (start position) as `{line, offset_to_start_of_line}`.

To column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.

## Options

- `:byte_offset` - the byte offset for the whole binary, defaults to 0
- `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`
- `:context` - the initial context value. It will be converted to a map

# parse(rule \\ :language_tag, input)